### Method

# Gtk Text set_activates_default

#### Declaration [src]

    void
    gtk_text_set_activates_default (
      GtkText* self,
      gboolean activates
    )

#### Description [src]

Sets whether pressing `Enter` will activate the default widget.

This usually means that the dialog containing `self` will be closed, since the default widget is usually one of the dialog buttons.

Sets property | `Gtk.Text:activates-default`

#### Parameters

`activates`

  Type: `gboolean`

  True to activate window’s default widget on `Enter` keypress.